Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class DefaultServlet

    java.lang.Object
      HttpServlet
          org.mortbay.jetty.servlet.DefaultServlet

All Implemented Interfaces:
  ResourceFactory

    public class DefaultServlet

extends HttpServlet
implements ResourceFactory

The default servlet. This servlet, normally mapped to /, provides the handling for static content, OPTION and TRACE methods for the context. The following initParameters are supported:

       acceptRanges     If true, range requests and responses are
                        supported

       dirAllowed       If true, directory listings are returned if no
                        welcome file is found. Else 403 Forbidden.

       redirectWelcome  If true, welcome files are redirected rather than
                        forwarded to.

       gzip             If set to true, then static content will be served as
                        gzip content encoded if a matching resource is
                        found ending with ".gz"

      resourceBase      Set to replace the context resource base

      relativeResourceBase
                        Set with a pathname relative to the base of the
                        servlet context root. Useful for only serving static content out
                        of only specific subdirectories.

      aliases           If True, aliases of resources are allowed (eg. symbolic
                        links and caps variations). May bypass security constraints.

      maxCacheSize      The maximum total size of the cache or 0 for no cache.
      maxCachedFileSize The maximum size of a file to cache
      maxCachedFiles    The maximum number of files to cache

      useFileMappedBuffer
                        If set to true, it will use mapped file buffer to serve static content
                        when using NIO connector. Setting this value to false means that
                        a direct buffer will be used instead of a mapped file buffer.
                        By default, this is set to true.

The MOVE method is allowed if PUT and DELETE are allowed

Author:
  Greg Wilkins (gregw), Nigel Canonizado

Constructor Summary
`DefaultServlet()`

Method Summary
`void` | `destroy()`
`protected void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doPost(HttpServletRequest request, HttpServletResponse response)`
`Resource` | `getResource(String pathInContext)` get Resource to serve.
`void` | `init()`
`protected boolean` | `passConditionalHeaders(HttpServletRequest request, HttpServletResponse response, Resource resource, HttpContent content)`
`protected void` | `sendData(HttpServletRequest request, HttpServletResponse response, boolean include, Resource resource, HttpContent content, Enumeration reqRanges)`
`protected void` | `sendDirectory(HttpServletRequest request, HttpServletResponse response, Resource resource, boolean parent)`
`protected void` | `writeHeaders(HttpServletResponse response, HttpContent content, long count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultServlet

    public DefaultServlet()

Method Detail

### init

    public void init()
              throws UnavailableException

  Throws:
    `UnavailableException`

### getResource

    public Resource getResource(String pathInContext)

  get Resource to serve. Map a path to a resource. The default implementation calls HttpContext.getResource but derived servlets may provide their own mapping.

  Specified by:
    `getResource` in interface `ResourceFactory`
  Parameters:
    `pathInContext` - The path to find a resource for.
  Returns:
    The resource to serve.

### doGet

    protected void doGet(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException,
                         IOException

  Throws:
    `ServletException`
    `IOException`

### doPost

    protected void doPost(HttpServletRequest request,
                          HttpServletResponse response)
                   throws ServletException,
                          IOException

  Throws:
    `ServletException`
    `IOException`

### passConditionalHeaders

    protected boolean passConditionalHeaders(HttpServletRequest request,
                                             HttpServletResponse response,
                                             Resource resource,
                                             HttpContent content)
                                      throws IOException

  Throws:
    `IOException`

### sendDirectory

    protected void sendDirectory(HttpServletRequest request,
                                 HttpServletResponse response,
                                 Resource resource,
                                 boolean parent)
                          throws IOException

  Throws:
    `IOException`

### sendData

    protected void sendData(HttpServletRequest request,
                            HttpServletResponse response,
                            boolean include,
                            Resource resource,
                            HttpContent content,
                            Enumeration reqRanges)
                     throws IOException

  Throws:
    `IOException`

### writeHeaders

    protected void writeHeaders(HttpServletResponse response,
                                HttpContent content,
                                long count)
                         throws IOException

  Throws:
    `IOException`

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.